org.apache.struts2.config_browser

## Class ActionNamesAction

- java.lang.Object
- - org.apache.struts2.ActionSupport
  - - com.opensymphony.xwork2.ActionSupport
    - - org.apache.struts2.config_browser.ActionNamesAction

- All Implemented Interfaces:
    LocaleProvider, TextProvider, Serializable, Action, ValidationAware, Validateable
  Direct Known Subclasses:
    ShowBeansAction, ShowConfigAction, ShowConstantsAction, ShowJarsAction

      public class ActionNamesAction
      extends ActionSupport

  ActionNamesAction
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `ValidationAware.LegacyAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConfigurationHelper` | `configHelper`

    - ### Fields inherited from class org.apache.struts2.ActionSupport

      `container`

    - ### Fields inherited from interface org.apache.struts2.action.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionNamesAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()`
    `Set<String>` | `getActionNames()`
    `ActionConfig` | `getConfig(String actionName)`
    `String` | `getExtension()`
    `String` | `getNamespace()`
    `Set<String>` | `getNamespaces()`
    `String` | `index()` Index action to support cooperation with REST plugin
    `String` | `redirect()`
    `void` | `setConfigurationHelper(ConfigurationHelper cfg)`
    `void` | `setExtension(String ext)`
    `void` | `setNamespace(String namespace)`

    - ### Methods inherited from class org.apache.struts2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.struts2.Validateable

      `validate`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.ValidationAware

      `addActionError, addActionMessage, addFieldError, getActionErrors, getActionMessages, getFieldErrors, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, setActionErrors, setActionMessages, setFieldErrors`

- - ### Field Detail

    - #### configHelper

          protected ConfigurationHelper configHelper

  - ### Constructor Detail

    - #### ActionNamesAction

          public ActionNamesAction()

  - ### Method Detail

    - #### setConfigurationHelper

          public void setConfigurationHelper(ConfigurationHelper cfg)

    - #### getActionNames

          public Set<String> getActionNames()

    - #### getNamespace

          public String getNamespace()

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### setExtension

          public void setExtension(String ext)

    - #### getConfig

          public ActionConfig getConfig(String actionName)

    - #### getNamespaces

          public Set<String> getNamespaces()

    - #### getExtension

          public String getExtension()

    - #### execute

          public String execute()
                         throws Exception

      Specified by:
        `execute` in interface `Action`
      Overrides:
        `execute` in class `ActionSupport`
      Throws:
        `Exception`

    - #### index

          public String index()
                       throws Exception

      Index action to support cooperation with REST plugin
      Returns:
        action result
      Throws:
        `Exception`

    - #### redirect

          public String redirect()

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.